Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class ParameterModeHelper

    java.lang.Object
      org.omg.CORBA.ParameterModeHelper

    public abstract class ParameterModeHelper

extends Object

Enumeration of parameter modes for Parameter. Possible vaues:

- PARAM_IN - Represents an "in" parameter.
- PARAM_OUT - Represents an "out" parameter.
- PARAM_INOUT - Represents an "inout" parameter.

Constructor Summary
`ParameterModeHelper()`

Method Summary
`static ParameterMode` | `extract(Any a)`
`static String` | `id()`
`static void` | `insert(Any a, ParameterMode that)`
`static ParameterMode` | `read(InputStream istream)`
`static TypeCode` | `type()`
`static void` | `write(OutputStream ostream, ParameterMode value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParameterModeHelper

    public ParameterModeHelper()

Method Detail

### insert

    public static void insert(Any a,
                              ParameterMode that)

### extract

    public static ParameterMode extract(Any a)

### type

    public static TypeCode type()

### id

    public static String id()

### read

    public static ParameterMode read(InputStream istream)

### write

    public static void write(OutputStream ostream,
                             ParameterMode value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.